<ng-container *ngTemplateOutlet="spinner"></ng-container>

<div class="custom-background">
  <ng-container *ngTemplateOutlet="spinner; context: { radius: 12 }"></ng-container>
</div>

<div class="custom-background-1">
  <ng-container *ngTemplateOutlet="spinner; context: { radius: 40 }"></ng-container>
</div>

<ng-template #spinner let-radius="radius">
  <div class="spinner">
    <svg viewBox="0 0 100 100" xmlns="http://www.w3.org/2000/svg">
      <circle cx="50" cy="50" [attr.r]="radius ?? 24"></circle>
    </svg>
  </div>
</ng-template>
